Subject: rfc2460bis question

From: Brian E Carpenter <[email-masked]>
Date: Tue, 29 Mar 2016 13:30:29 +1300

Hi,

rfc2460bis doesn't fix an ambiguity in interpretation of RFC 2460 that
seems to come up repeatedly.

Are intermediate systems allowed to insert, change or delete Extension Headers,
apart from specified cases (routing headers, and HbH options that may change
en route)? And in the cases where changes are allowed, are intermediate systems
allowed to change the *length* of headers or option data?

For option data, the answer is clear but slightly hidden: since the Option Data
but *not* the Opt Data Len may be omitted from IPSec AUTH, Opt Data Len is
clearly not allowed to change and therefore options cannot be inserted or
deleted either (which breaks RFC 4782). But it isn't stated anywhere that
I can see that intermeiate systems must not insert, change or delete EHs,
although they are all supposed to be e2e except for HbH options.

Maybe that needs to be an erratum on 2460?

Regards
   Brian